/**
 * DevExtreme (ui/shared/async_template_mixin.js)
 * Version: 18.1.5 (build 18221)
 * Build date: Thu Aug 09 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
module.exports = {
    _renderAsyncTemplate: function(template, args) {
        var result = template && template.render(args);
        if (!this._options.templatesRenderAsynchronously) {
            args.onRendered.call(this)
        }
        return result
    },
    _waitAsyncTemplates: function(callback) {
        if (this._options.templatesRenderAsynchronously) {
            this._asyncTemplatesTimer = setTimeout(function() {
                callback.call(this);
                this._cleanAsyncTemplatesTimer()
            }.bind(this))
        } else {
            callback.call(this)
        }
    },
    _cleanAsyncTemplatesTimer: function() {
        clearTimeout(this._asyncTemplatesTimer)
    }
};
